#include <vmprofiler.hpp>

namespace devirt
{
    namespace util
    {
        /// <summary>
        /// helper function to serialize vmp2 file data to vm::instr::code_block's...
        /// </summary>
        /// <param name="virt_rtns">vector of pairs {vm enter offset, vector of code blocks} which gets filled up with
        /// serialized data</param>
        /// <param name="vmp2file">a vector of bytes containing the vmp2 file...</param>
        /// <returns>returns true if serialization was successful</returns>
        bool serialize_vmp2(
            std::vector< std::pair< std::uint32_t, std::vector< vm::instrs::code_block_t > > > &virt_rtns,
            std::vector< std::uint8_t > &vmp2file );
    } // namespace util
} // namespace devirt